[Python-de] Installation von GTK und PyGTK auf OS X 10.4

Diez B. Roggisch deets at web.de
Di Jun 17 09:43:20 UTC 2008


On Monday 16 June 2008 22:44:10 Hadubard wrote:
> Hi,
>
> habe gerade das folgende Ticket gefunden:
> http://trac.macports.org/ticket/14177
>
> Scheint also ein generelles Problem mit Python 2.5 zu sein. Hat
> irgend jemand eine Lösung gefunden oder kann einen Work-Around anbieten?
>
> Oder muss ich zu Python 2.3 wechseln?

Muss es GTK sein? wenn es in macports ist, dann bedeutet das naemlich das es 
unter dem X-Server, *nicht* aber nativ unter OSX laeuft. Siehe zb auch den 
GIMP - und das nervt schon ziemlich als User, weil die ganzes Tasten- & 
Maus-dinge anders sind.

Tk, Qt oder natuerlich Cocoa waeren bessere Alternativen - wenn es keine 
anderen Gruende gibt warum es GTK sein muss.

Diez